# pandas.api.extensions.register_extension_dtype

`pandas.api.extensions.``register_extension_dtype`(cls: Type[pandas.core.dtypes.base.ExtensionDtype]) → Type[pandas.core.dtypes.base.ExtensionDtype]

  Register an ExtensionType with pandas as class decorator.

  New in version 0.24.0.

  This enables operations like `.astype(name)` for the name of the ExtensionDtype.

  Returns:

  callable

  > A class decorator.

  Examples

      >>> from pandas.api.extensions import register_extension_dtype
      >>> from pandas.api.extensions import ExtensionDtype
      >>> @register_extension_dtype
      ... class MyExtensionDtype(ExtensionDtype):
      ...     pass

Scroll To Top